<?php
/*
  $Id: google_xml_sitemap_seo_install.php, v 3.0 by Jack_mcs

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce
  Portions Copyright 2009 oscommerce-solution.com

  Released under the GNU General Public License
  
  **********************************************************************
  To update an existing installation, run this file with no parameters.
  
  If you want to delete all database changes for this addon, use this url:
  http://....com/sitemap_seo_install.php?delete
  
  If you want to reset all database options for this addon, use this url:
  http://....com/sitemap_seo_install.php?reset
  **********************************************************************  
*/

  require('includes/application_top.php');
  
  define('THIS_ADDON', 'Google XML Sitemap SEO');
  define('THIS_ADDON_DESCRIPTION', 'Server wide settings for ' . THIS_ADDON);
  define('THIS_FILE', 'google_xml_sitemap_seo_install.php');
  define('THIS_FORM', 'google_xml_sitemap_seo_install');  
  
  $do_delete = (isset($_GET['delete']) ? true : false);
  $do_reset  = (isset($_GET['reset'])  ? true : false);
  
  if (isset($_POST['action']) && $_POST['action'] == 'process') {
      if (isset($_POST['delete'])) {
          $do_delete = true;
      } else if (isset($_POST['reset'])) {
          $do_reset = true;          
      } else if (isset($_POST['exit'])) {   
          unlink(THIS_FILE);      
          tep_redirect(tep_href_link('index.php'));          
      } else if (isset($_POST['goto'])) {          //end of run - just go to home page
          tep_redirect(tep_href_link('index.php'));          
      } else if (isset($_POST['goto_delete'])) {   //end of run - just go to home page after deleting this file
          unlink(THIS_FILE);      
          tep_redirect(tep_href_link('index.php'));          
      } else {  //catch-all
          unlink(THIS_FILE);      
          tep_redirect(tep_href_link('index.php'));
      }    
  }  
  
  $cfg_group_id = 0;
  $db_query = tep_db_query("select configuration_group_id from configuration_group where configuration_group_title = '" . THIS_ADDON . "'");
  if (tep_db_num_rows($db_query)) {    
      if ($do_delete) {
          $db = tep_db_fetch_array($db_query);
          tep_db_query("delete from configuration_group where configuration_group_id = '" . (int)$db['configuration_group_id'] . "'");   
          tep_db_query("delete from configuration where configuration_group_id = '" . (int)$db['configuration_group_id'] . "'");   
      } else if ($do_reset) {
          $db = tep_db_fetch_array($db_query);
          $cfg_group_id = (int)$db['configuration_group_id'];   
          tep_db_query("delete from configuration where configuration_group_id = '" . (int)$db['configuration_group_id'] . "'");   
      } else {
          echo 'Looks like ' . THIS_ADDON . ' is already installed.<br>';
          echo 'Choose one of the following options.<br><br>';
         
          echo tep_draw_form('begin', THIS_FILE, 'post') . tep_hide_session_id() . tep_draw_hidden_field('action', 'process'); ?>
          <div style="padding-bottom:10px"><input type="submit" name="delete" value="Reload This Page and Set Delete Option"></div>
          <div style="padding-bottom:10px"><input type="submit" name="reset" value="Reload This Page and Set Reset Option"></div>
          <div style="padding-bottom:10px"><input type="submit" name="exit" value="Go To Home Page AFTER deleting this file"></div>
        </form> 
        <?php
	         tep_exit();
      }
  } 
  
  if ($cfg_group_id == 0) {
      $db_check_query = tep_db_query("select max(configuration_group_id) as id from configuration_group ");
      $max = tep_db_fetch_array($db_check_query);
      $cfg_group_id = $max['id'] + 1;
      tep_db_query("insert into configuration_group (configuration_group_id, configuration_group_title, configuration_group_description, sort_order, visible ) VALUES ('" . $cfg_group_id . "', '" . THIS_ADDON . "', '" . THIS_ADDON_DESCRIPTION . "', '" . (int)$cfg_group_id . "' , '1')");
  } 
 
   // create configuration variables
   $fields = " configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added, use_function ";
   $fields_short = " configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added ";

   $sortID = 1;
   $db_sql_array = array( 
       array("INSERT INTO configuration (" . $fields . ") VALUES ('Enable Images Map', 'GOOGLE_XML_SITEMAP_CREATE_IMAGES', 'false', 'Set to true if you would like a site map created for your images.<br>(true=on false=off)', '" . $cfg_group_id . "', '" . ($sortID++) . "', 'tep_cfg_select_option(array(\'true\', \'false\'), ', now(), NULL)"),
       array("INSERT INTO configuration (" . $fields . ") VALUES ('Enable Manufacturers Map', 'GOOGLE_XML_SITEMAP_CREATE_MANU', 'false', 'Set to true if you would like a site map created for your manufactureres.<br>(true=on false=off)', '" . $cfg_group_id . "', '" . ($sortID++) . "', 'tep_cfg_select_option(array(\'true\', \'false\'), ', now(), NULL)"),
       array("INSERT INTO configuration (" . $fields . ") VALUES ('Enable Specials Map', 'GOOGLE_XML_SITEMAP_CREATE_SPECIALS', 'false', 'Set to true if you would like a site map created for your specials.<br>(true=on false=off)', '" . $cfg_group_id . "', '" . ($sortID++) . "', 'tep_cfg_select_option(array(\'true\', \'false\'), ', now(), NULL)"),
       array("INSERT INTO configuration (" . $fields . ") VALUES ('Enable Standard Pages Map', 'GOOGLE_XML_SITEMAP_CREATE_PAGES', 'false', 'Set to true if you would like a site map created for your standard pages.<br>(true=on false=off)', '" . $cfg_group_id . "', '" . ($sortID++) . "', 'tep_cfg_select_option(array(\'true\', \'false\'), ', now(), NULL)"),
       array("INSERT INTO configuration (" . $fields . ") VALUES ('Enable Article Manager Topics Map', 'GOOGLE_XML_SITEMAP_CREATE_TOPICS', 'false', 'Set to true if you would like a site map created for your Article Manager topics (Article manager must be installed to use this option).<br>(true=on false=off)', '" . $cfg_group_id . "', '" . ($sortID++) . "', 'tep_cfg_select_option(array(\'true\', \'false\'), ', now(), NULL)"),
       array("INSERT INTO configuration (" . $fields . ") VALUES ('Enable Diagnostic Output', 'GOOGLE_XML_SITEMAP_SHOW_DIAGNOSTIC', 'false', 'Set to true if you would like debug information displayed. This is useful if the site maps are not being created correctly.<br>(true=on false=off)', '" . $cfg_group_id . "', '" . ($sortID++) . "', 'tep_cfg_select_option(array(\'true\', \'false\'), ', now(), NULL)"),
       array("INSERT INTO configuration (" . $fields_short . ") VALUES ('Exclude these pages', 'GOOGLE_XML_SITEMAP_EXCLUDE_PAGES', 'advanced_search_result.php,advanced_search.php,password_reset.php', 'Add these pages to the built-in file exclude list. This will prevent the links from being added to the pages site map. Separate each name with a comma.', '" . $cfg_group_id . "', '" . ($sortID++) . "', now())"),
       array("INSERT INTO configuration (" . $fields_short . ") VALUES ('Manual Run', 'GOOGLE_XML_SITEMAP_MANUAL_RUN', '7', 'Enter the number of days to wait before the script is updated. - <b>Manual mode only</b>', '" . $cfg_group_id . "', '" . ($sortID++) . "', now())"),
       array("INSERT INTO configuration (" . $fields_short . ") VALUES ('Manual IP', 'GOOGLE_XML_SITEMAP_MANUAL_IP', '127.0.0.1', 'Enter the IP that you want to cause the manual run to happen. Separate muliple IP\'s with a comma.- <b>Manual mode only</b>', '" . $cfg_group_id . "', '" . ($sortID++) . "', now())"),
       array("INSERT INTO configuration (" . $fields_short . ") VALUES ('Secure IP', 'GOOGLE_XML_SITEMAP_SECURE_IP', '127.0.0.1', 'Enter the IP that you want to allow to run the script manually.- <b>Manual mode only</b>', '" . $cfg_group_id . "', '" . ($sortID++) . "', now())"),
       array("INSERT INTO configuration (" . $fields_short . ") VALUES('Create Now', 'GOOGLE_XML_SITEMAP_CREATE_NOW', 'false', 'Click this link to run the script now<br><center><a href=\"../googlesitemap/index.php\" target=\"new\"><font color=red>Generate All Sitemaps Now</font></a></center>', '" . $cfg_group_id . "', '" . ($sortID++) . "', now())")
   );

   // insert settings
   foreach ($db_sql_array as $sql_array) {
       foreach ($sql_array as $value) {
           if (tep_db_query($value) == false) {
               echo 'An error has occurred while inserting the settings. Aborting!';
               tep_exit();
           }
       }  
  }

?>
<div class="pageHeading"><?php echo THIS_ADDON . ' Database Installer'; ?></div>
<div style="padding:10px 0">
<?php
  echo 'Database successfully Installed for ' . THIS_ADDON , '!!!';
?>
</div>

<?php echo tep_draw_form(THIS_FORM, THIS_FILE, 'post') . tep_hide_session_id() . tep_draw_hidden_field('action', 'process'); ?>
  <div style="padding-bottom:10px"><input type="submit" name="goto_delete" value="Go To Home Page AFTER deleting this file (recommended)"></div>
  <div style="padding-bottom:10px"><input type="submit" name="goto" value="Go To Home Page"></div>
</form> 


